关闭
当前搜索:

windows下的brew--->Chocolatey

回到四川,又开始用windows罗,不是很习惯,习惯性的逛开源社区发现一个好动,就是chocolatey 如果使用过Linux的话,一定会被其简洁的软件包管理系统所折服。在Linux世界中,安装一个软件不需要在浏览器中寻找软件的官网,然后将其下载下来,然后双击进行安装。只需要一条简单的命令,就可以完成搜索、安装、更新、卸载等所有操作。例如Debian和Ubuntu中的apt-get命令,F...
阅读(96) 评论(0)

ubuntu16.04+gitlab+不使用绑定的nginx

gitlab的安装 gitlab的配置 1 gitlab版本号的查看 2 gitlab的ssh端口修改 21 打开配置文件 22 使用命令重新生成配置 3 https化 31 上传证书或者使用自己创建的具体创建的看我另一篇文章 不使用绑定的nginx 1 gitlab配置做修改 其他的问题 1 配置修改ssh端口号 构建使用4天时间,主要是卡在了,nginx.最开始的方案是共存.然后在做了,这个...
阅读(107) 评论(0)

SQL导入 timestamp 数据时报错

SQL导入 timestamp 数据时报错:原理分析: 1. 5.7开始不允许拿到NULL和拿到’0000-00-00 00:00:00’,都是视作空值处理的。参考传门 ==下面方法测试可以用== 1.在新增记录时能自动设置update_time字段为当前时间设置DEFAULT CURRENT_TIMESTAMP: `update_time` timestamp NULL DEFAULT CU...
阅读(285) 评论(0)

百度地图之鹰眼轨迹V3之初探

前言 环境搭建 1 下载原生的demo 2 安装nodejs 3安装fis3 4 安装依赖包 5 前期配置 51 首页配置 52 fis3编译 6成功预览下吧 7账号配置 附录 文档结构 API接口说明 官方建议需要了解的东西前言 最近项目中在使用这个,我也才开始接触这个,所有算是一个分享吧,网上V3的资料又少的可怜,我使用的是MAC,所有以mac为平台来记录。其他环境 我会给予链接地址,方便传...
阅读(460) 评论(0)

LEMP环境搭建(ubuntu16.04(ubuntu14.04)+nginx+mysql5.7+php7.1)

1.安装1.先解决有可能存在的语言问题1.安装 sudo apt-get update sudo apt-get install -y language-pack-en-base 2.配置 locale-gen en_US.UTF-8 --------------------- export LANG=en_US.UTF-8 export LC_ALL=en_US.UTF-8 2.安装vim ht...
阅读(1260) 评论(0)

ubuntu16.04+gitlab+不使用绑定的nginx

gitlab的安装 gitlab的配置 1 gitlab版本号的查看 2 gitlab的ssh端口修改 21 打开配置文件 22 使用命令重新生成配置 3 https化 31 上传证书或者使用自己创建的具体创建的看我另一篇文章 不使用绑定的nginx 1 gitlab配置做修改 其他的问题 1 配置修改ssh端口号 构建使用4天时间(最近离职在宿舍,所以找些东西来做),主要是卡在了,nginx....
阅读(821) 评论(0)

LEMP(LNMP)环境搭建(ubuntu16.04(ubuntu14.04)+nginx+mysql5.7+php7.1)

1.安装1.先解决有可能存在的语言问题1.安装 sudo apt-get update sudo apt-get install -y language-pack-en-base 2.配置 locale-gen en_US.UTF-8 --------------------- export LANG=en_US.UTF-8 export LC_ALL=en_US.UTF-8 2.安装vim ht...
阅读(690) 评论(0)

关于FCC认证的,部分题型做个记录

JS篇1.检查字符串是否回文function palindrome(str) { // Good luck! str=str.replace(/\W+/g,''); str=str.replace(/\_+/g,''); str=str.toLowerCase(); var newArray=str.split('').reverse().join(''); if(str==new...
阅读(415) 评论(0)

LAMP环境搭建(ubuntu16.04+apache2.4.8+maria10.0.27+php7)

1.安装:1.1 apachesudo apt-get install apache21.2 mariadbsudo apt-get install mariadb-server sudo apt-get install mariadb-client1.3 phpsudo apt-cache search php7.0 //检查当前源中是否含有php7.0 sudo apt-get in...
阅读(1145) 评论(0)

MVC为什么不是一种设计模式?

为什么MVC不是一种设计模式?   ---比较Backbone和Ext4.x在MVC实现上的差异   大漠穷秋   前言   圣人云:不想做妈咪的小姐不是好码农。   每一个码农的心中都有一个终极理想,那就是有一天不用再Coding。   在成为妈咪的道路上,“设计模式”被认为是一项必备的技能。   因此,经常有湿...
阅读(433) 评论(0)

ubuntu 开发工具的安装 Ubuntu Make

1.简介:查询发行版本说明,14版本的时候就发布了一款神奇,只是那时候不叫这个名字,15开始更名,有兴趣可自行搜索。原名 Ubuntu Developer Tools Center2.安装神器:sudo add-apt-repository ppa:ubuntu-desktop/ubuntu-make sudo apt-get update sudo apt-get install ubuntu-m...
阅读(4264) 评论(0)

tar命令的详细解释

tar命令 [root@linux ~]# tar [-cxtzjvfpPN] 文件与目录 .... 参数: -c :建立一个压缩文件的参数指令(create 的意思); -x :解开一个压缩文件的参数指令! -t :查看 tarfile 里面的文件! 特别注意,在参数的下达中, c/x/t 仅能存在一个!不可同时存在! 因为不可能同时压缩与解压缩。 -z :是否同时具...
阅读(3448) 评论(0)

ubuntu16.04+win7双系统的问题及解决(慢慢更新)

网络问题:1.无线网卡和有线网卡都不能接入网络步骤1:sudo rmmod acer-wmi 这样就可以打开无线了!无线信号也会出来 ,但是有一个问题就是,只要机器一重启,那个文件又被修改回来了!步骤2:查询: rfkill list all 关闭: rfkill unblock all 发现无效 进入步骤3步骤3:blacklist acer-wmi 这个命令加入到/etc/modprobe.d/...
阅读(2132) 评论(0)

nodejs的版本控制

linux下:个人推荐使用 n 安装:npm install n -g 第一种:指定版本号安装:$ n 0.8.14 $ n 0.8.17 $ n 0.9.6第二种:安装稳定版本:$ n stable 第三种:安装最新版本:$ n latest 第四种:使用火安装最新的LTS官方版本:$ n lts 删除:删除一些版本:$ n rm 0.9.4 v0.10.0 或者使用-代替 rm $ n -0....
阅读(549) 评论(0)

阿里大鱼 短信验证

安装$ npm install super-alidayu --save 使用方法'use strict';const AliDaYu = require('super-alidayu');let client = new AliDaYu({ app_key: 'xxxxxxx', secret: 'xxxxxxxx', });let options = { sms_free_sign_...
阅读(757) 评论(0)
93条 共7页1 2 3 4 5 ... 下一页 尾页
    个人资料
    • 访问:111521次
    • 积分:1681
    • 等级:
    • 排名:千里之外
    • 原创:52篇
    • 转载:40篇
    • 译文:1篇
    • 评论:13条
    微信打赏
    微信打赏
    支付宝打赏
    支付宝打赏
    文章分类
    最新评论